Bug 862222 - CLI - when updating sync_plan's date and time, it puts wrong time.
CLI - when updating sync_plan's date and time, it puts wrong time.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 06:46 EDT by Hayk Hovsepyan
Modified: 2014-09-18 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 08:27:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-10-02 06:46:50 EDT
Description of problem:
Try to update sync_plan by CLI and specify some date and time.
When you retrieve sync_plan info, it will show time 1 hour earlier than specified.

Version-Release number of selected component (if applicable):
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-5.el6cf.noarch
katello-cli-1.1.8-5.el6cf.noarch
katello-glue-pulp-1.1.12-9.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-glue-candlepin-1.1.12-9.el6cf.noarch
katello-1.1.12-9.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-common-1.1.12-9.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-4.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


How reproducible:
always

Steps to Reproduce:
1. Create a sync_plan by CLI: sync_plan create  --name "splan1349173557" --date "2012-10-02" --time "12:25:56" --interval "hourly" --org ACME_Corporation.
2. Execute "sync_plan info --name splan1349173557" and you will see that date and time are correct.
3. Try to update created sync_plan but change only the date, keep the same time: sync_plan update --date "2012-11-02" --time "12:25:58" --name "splan1349173557" --org ACME_Corporation.
4. Execute "sync_plan info --name splan1349173557" and you will see that time value is not correct, it is "11:25:58". This is bug.
  
Actual results:
It shows wrong time.

Expected results:
Time should be put correctly.
Comment 2 Hayk Hovsepyan 2012-10-03 07:06:03 EDT
This bug still exists in version:
katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Comment 4 Tomas Strachota 2012-12-18 10:28:35 EST
I'm not sure if it is really a bug.
Your reproducer updates the date from October (summer daylight saving time) to November (already in winter time). This is why the time is printed +1 hour at first.
I'll check with Pulp guys what's their implementation of DST. We should be in one line. Depending on them I'll either fix of close as notabug.

We shoud for sure put better help message to 'kat sync_plan create -h' and mention that it is possible to specify timezone in '--time' and that the default value is server's zone.
Comment 5 Bryan Kearney 2014-03-13 08:27:10 EDT
No longer relevant.

Note You need to log in before you can comment on or make changes to this bug.